## yamdi 1.4

=== Makefile ===
# Makefile for yamdi

CC=gcc
CFLAGS=-O2 -Wall

yamdi: yamdi.c
	$(CC) $(CFLAGS) yamdi.c -o yamdi

clean: yamdi
	rm -f yamdi

install: yamdi
	install $(INSTALL_FLAGS) -m 4755 -o root yamdi $(DESTDIR)/usr/bin

=== debian/changelog ===
yamdi (1.4-3) unstable; urgency=medium

  * QA upload, set maintainer to Debian QA Group
  * Remove stale XS-Vcs-Hg
  * debhelper 12, standards version 4.4.0
  * Switch to source format 3.0 (quilt), thanks to Jari Aalto for the
    patch which also fixes a number of Lintian warnings (Closes: #668480)
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make, thanks to
    Helmut Grohne (Closes: #928845)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 09 Aug 2019 18:40:14 +0200

yamdi (1.4-2) unstable; urgency=low

  * Add dpatch to Build-Depends
  * Add patch to fix invalid height of 0 in flvs from Krystian Kichewko
    <kichewko@nonstopworkshop.com>
  * Enable dpatch in debian/rules

 -- Todd Troxell <ttroxell@debian.org>  Mon, 23 Feb 2009 09:48:43 -0500

yamdi (1.4-1) unstable; urgency=low

  * Sync to upstream version 1.4.
  * Re-add security flags to Makefile.
  * Relocate manpage to be more compatible with upstream version.

 -- Todd Troxell <ttroxell@debian.org>  Sat, 24 May 2008 14:03:28 -0400

yamdi (1.2-3) unstable; urgency=low

  * Change -z,norelro to -z,relro in Makefile
  * Add watch file
  * Add XS-Vcs-hg header to debian/control

 -- Todd Troxell <ttroxell@debian.org>  Sat,  2 Feb 2008 23:31:43 -0500

yamdi (1.2-2) unstable; urgency=low

  * Add security hardening CFLAGS
  * Rephrase package description

 -- Todd Troxell <ttroxell@debian.org>  Tue, 29 Jan 2008 17:03:35 -0500

yamdi (1.2-1) unstable; urgency=low

  * Initial release (Closes: #439190)

 -- Todd Troxell <ttroxell@debian.org>  Fri, 24 Aug 2007 07:03:05 -0400

=== debian/control ===
Source: yamdi
Section: utils
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 12)
Standards-Version: 4.4.0
Homepage: http://freecode.com/projects/yamdi

Package: yamdi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility for adding metadata to flash video files
 yamdi is a fast console application for adding various metadata to flv files.
 The program buffers its input file, rather than loading into memory in its
 entirety.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# no configure commands

	touch configure-stamp



build-arch: build
build-indep: build

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	dh_auto_build

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) clean
	rm -rf debian/yamdi
	rm -rf debian/files
	rm -rf debian/substvars
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/yamdi install


# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
#	dh_installexamples
#	dh_install
	dh_installman man1/yamdi.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://sf.net/yamdi/yamdi-(.*)\.tar\.gz

## yamdi 1.4-1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for yamdi
 
 CC=gcc
-CFLAGS=-O2 -Wall
+CFLAGS=-O2 -Wall -fstack-protector -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Wl,-z,relro
 
 yamdi: yamdi.c
 	$(CC) $(CFLAGS) yamdi.c -o yamdi

=== debian/control ===
Source: yamdi
Section: utils
Priority: extra
Maintainer: Todd Troxell <ttroxell@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2
XS-Vcs-Hg: http://code.rapidpacket.com/yamdi/

Package: yamdi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a utility for adding metadata to flash video files
 yamdi is a fast console application for adding various metadata to flv files.
 The program buffers its input file, rather than loading into memory in its
 entirety.

=== debian/rules ===
--- 
+++ 
@@ -19,16 +19,12 @@
 	touch configure-stamp
 
 
-
-build-arch: build
-build-indep: build
-
 build: build-stamp
 
 build-stamp: configure-stamp 
 	dh_testdir
 
-	dh_auto_build
+	$(MAKE)
 
 	touch $@
 
@@ -37,16 +33,14 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 
-	[ ! -f Makefile ] || $(MAKE) clean
-	rm -rf debian/yamdi
-	rm -rf debian/files
-	rm -rf debian/substvars
-	dh_clean
+	-$(MAKE) clean
+
+	dh_clean 
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_prep 
+	dh_clean -k 
 	dh_installdirs
 
 	$(MAKE) DESTDIR=$(CURDIR)/debian/yamdi install

## yamdi 1.9

=== Makefile ===
# Makefile for yamdi

CC=gcc
CFLAGS=-O2 -Wall

yamdi: yamdi.c Makefile
	$(CC) $(CFLAGS) yamdi.c -o yamdi

clean: yamdi
	rm -f yamdi

install: yamdi
	install -m 0755 -o root yamdi /usr/local/bin

=== debian/changelog ===
yamdi (1.9-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 1.9
  * Refresh patches
  * delete d/p/zero-height-fix.patch
  * d/rules: add export DEB_BUILD_MAINT_OPTIONS = hardening=+all
  * d/rules: add override_dh_auto_clean target, add d/clean
  * d/control: add Homepage: https://sourceforge.net/projects/yamdi/
  * d/watch: update to version=4
  * Bump Standards-Version: 4.7.2

 -- xiao sheng wen <atzlinux@debian.org>  Mon, 21 Apr 2025 16:53:12 +0800

yamdi (1.4-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.4.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Drop fields with obsolete URLs.
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Switched to simple dh build, enable hardening and drop root build.
  * Added 1010-strn-buffer-overflow.patch to avoid potential buffer overflow.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 20 Oct 2024 12:17:52 +0200

=== debian/control ===
Source: yamdi
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/yamdi
Vcs-Git: https://salsa.debian.org/debian/yamdi.git
Rules-Requires-Root: no
Homepage: https://sourceforge.net/projects/yamdi/

Package: yamdi
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: utility for adding metadata to flash video files
 yamdi is a fast console application for adding various metadata to flv files.
 The program buffers its input file, rather than loading into memory in its
 entirety.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:

=== debian/watch ===
version=4
https://sf.net/yamdi/yamdi-@ANY_VERSION@@ARCHIVE_EXT@
